RELEASE NOTES

--------------------------------------------------------------------------------------------------------------
PUI 4.5.301 (2020/05/13)
--------------------------------------------------------------------------------------------------------------
-VisionAPI 4.5.3.1  (SHA-1:275E0981476821617695008442467D1F273D5D73)
Fixed a possible crash on 64 bit version (wrong use of Windows GetWindowLong function not compatible in 64 bit version).

-X2Engine 1.5.9.2  (SHA-1:76DBBE2F0A54294E2161D571435BC4B9EB209513)
Fixed a possible crash on 64 bit version (wrong use of Windows GetWindowLong function not compatible in 64 bit version).
Added new Barcode OCR library support (8.4.4.1)

-VXEngine 2.5.3.3  (SHA-1:C33F1B6D9E9A9DC49AAB4B42E13DD1FDDBA628B4)
Fixed a possible crash on 64 bit version (wrong use of Windows GetWindowLong function not compatible in 64 bit version).
Fixed the FW download functionality on 64-bit.
Added new Barcode OCR library support (8.4.4.1)

-IDEngine 2.5.3.2  (SHA-1:DC6B98D404511BCE36171EEE50AA14B747B13C32)
Fixed a possible crash on 64 bit version (wrong use of Windows GetWindowLong function not compatible in 64 bit version).
Added new Barcode OCR library support (8.4.4.1)

-WIEngine 2.5.3.1  (SHA-1:2831FEE1DE7CC50107A3ED826E91A228F4B50279)
-VxA4Engine 2.5.3.1 (SHA-1:968D71F982E7C39B3E118C7778D23352FD8F16E5)
Fixed a possible crash on 64 bit version (wrong use of Windows GetWindowLong function not compatible in 64 bit version).
Added new Barcode OCR library support (8.4.4.1)

-MultiDemo 1.2.8.1  (SHA-1:87390F196A79E6FE903463CBE74A48257DF64861)
Rebuilt with VC14 (VS2015).
Fixed a possible crash on 64 bit version (wrong use of Windows GetWindowLong function not compatible in 64 bit version).

-ArmaOCR 1.5.1.0  (SHA-1:F448E801A1E345C15E67A594C4452428A156E835)
Added improvements to the CMC7 font to address specific Israeli characters.
Added Micro Perforation font 200 DPI.

--------------------------------------------------------------------------------------------------------------
PUI 4.5.300 (2020/01/22)
--------------------------------------------------------------------------------------------------------------
-VisionAPI 4.5.3.0  (SHA-1:A232F75A38E7D8DBB2215AFFCFA1B1356E143EF1)
Rebuilt with VC14 (VS2015).
Added new ArmaOCR engine font definitions.

-X2Engine 1.5.9.1  (SHA-1:21A0B7BC04C8CB88DBD5B9D2CEB7A8C4351F4034)
Rebuilt with VC14 (VS2015).
Acquisition of printed rear image.
Card cropping algorithm fix.
600 DPI HiRes grey level for ID cards. 
Support for ID card acquisition in reverse direction.
Added "PaniniBarcode.xml" parameter file for optional Barcode settings.
Added support for new ArmaOCR engine.
Changed the FW masks to correctly apply FW update on new boards.

-VXEngine 2.5.3.1  (SHA-1:76F3BE1BADBF2E044B9E8C62985C8646A606BBF8)
Rebuilt with VC14 (VS2015).
Added "PaniniBarcode.xml" parameter file for optional Barcode settings.
Added support for new ArmaOCR engine.

-IDEngine 2.5.3.0  (SHA-1:A138B85BCDDD8A13F893647462476EEF2097ECCD)
-WIEngine 2.5.3.0  (SHA-1:CACFB42D56F5D722E2AF7B74238BB917266E34ED)
-VxA4Engine 2.5.3.0 (SHA-1:1C41A8FEDC6C138F90C25708DE9193FC14A3184B)
Rebuilt with VC14 (VS2015).
Added "PaniniBarcode.xml" parameter file for optional Barcode settings.
Added support for new ArmaOCR engine.

-MultiDemo 1.2.8.0  (SHA-1:D7D74F90E2E3A4C0A9F2AC0F373B61D159611E5D)
Rebuilt with VC14 (VS2015).
Added selection to acquire printed rear image in SmatJet mode for VN.

-ArmaOCR 1.2.0.0  (SHA-1:7AC04C21E5A8F5D2961BBA9DA7F217F25E45AFC2)
Added OCR engine for CMC7/E13B and OCR-B fonts (includes OpenCV 344 libraries).

-PaniniSnmpClient 1.2.0  (SHA-1:181E94D0E8669E344B787D54C91DFF0225015725)
-PaniniExtension 1.2.0  (SHA-1:1E2903CAB23E8D1609218C1BED572BBD431F85CF)
Rebuilt with VC14 (VS2015).

-PaniniOCR 1.0.5  (SHA-1:DBD9E5A59126BE4F0BBBFA500BD793BB5C0333D5)
-MICR_OCR  1.2.6  (SHA-1:9F982FD1846D68199902DCF1256D772F289635A3)
-IQA_Engine 1.2.0  (SHA-1:280479A3D6972A19B0CFD1E66AEC74D86289B691)
Rebuilt with VC14 (VS2015).

-VAPI 4.5.3 DevKit
Barebones v.4.1.0  (SHA.1:8037B64112A88CE414AF8E235C68FBEBFCE6FA10)
 Rebuilt with VC14 (VS2015). Contains solution/project for VS2010, VS2013 and VS2015.

--------------------------------------------------------------------------------------------------------------
PUI 4.5.112 (2019/09/16)
--------------------------------------------------------------------------------------------------------------
-VisionAPI 4.5.1.4  (SHA-1:E0BD2FEC724A3303FC6FAE799A770E1C4F1A0DDB)
Added new GetMicrCodelineEx() API call for Vision X.
Added new Hidden API call to change connection configuration for EverneXt in Hybrid mode.

-X2Engine 1.5.6.0  (SHA-1:AE708A756F7EF45D44B192A9DBEF098519849D5D)
Added new Barcode OCR library support (8.3.3.2) + Barcode reading timeout Registry setting.
Added support of new FLASH memory chip (via PaniniUpd).
Fixed a possible deadlock in recovering from a Compression Error exception when using CIFD.

-VXEngine 2.5.1.7  (SHA-1:C46B0693B85930B82A5D22397EE23AB1BCD71A2D)
Added new GetMicrCodelineEx() function call.
Added new Barcode OCR library support (8.3.3.2) + Barcode reading timeout Registry setting.

-IDEngine 2.5.2.2  (SHA-1:1A6BC244F1BF61B4A2A3EE2EBA9DE775973BB025)
-VxA4Engine 2.5.1.3 (SHA-1:CE5815DFCA13CA6EC973FA0F1874D863A93ADD0A)
Added new Barcode OCR library support (8.3.3.2) + Barcode reading timeout Registry setting.

-MultiDemo 1.2.5.9  (SHA-1:477843741D183AEF8D9ED1A9D914EC09FF357802)
Added call to GetMicrCodelineEx() for Vision X.

-PaniniUpd 1.0.7  (SHA-1:A0B98D54657DAE93B3EA740A27A926384C63B370)
ID: FW Update
    01.255.xx/02.00.00/01/02 -> 02.00.03: Photocells calibration that could cause the "flashing red LED" issue.
VX: FPGA update 
    0xBC22 -> 0xBC24: LiteOn CIS offset value fix
VN: FW/FPGA update 
    01.00.11/12/13/14/15/16/17 -> 01.00.18  (FPGA E314/E414 or E515)
     HB Boot fix, DOC MAX_LENGTH set to 240.
    01.02.00/01/03/05/01.02.06/61/62 -> 01.02.63  (FPGA E516/E622)
     HB Boot fix, LiteOn CIS offset value fix, Cropping error fix on 100 DPM, DEVICE_DATA_PASS_STOP_AFTER_POCKET_MM set to 38.
    01.02.13 -> 01.02.131  (FPGA E517/E625)
     HB Boot fix, DOC MAX_LENGTH set to 240.
    01.02.16/161/163 -> 01.02.164  (FPGA E517)*
     SLN cartridge presence that sometimes is not properly recognized + correct management of the new Flash chipset 
     used on boards version 5.8+
    02.00.04/02.01.00/01/02/07/08 -> 02.01.10  (FPGA E519 / E635)* 
     Support for VLD + TrueColor cards @600DPI, Update the CIS configuration management for RIGID CARD to fix 
     the bright background too bright as done in FPGA, Support for new FLASH memory chip (boards version 5.8+),
     SLN cartridge presence that sometimes is not properly recognized

* = new in this release

--------------------------------------------------------------------------------------------------------------
PUI 4.5.111 (2018/11/01)
--------------------------------------------------------------------------------------------------------------
-X2Engine  1.5.5.9  (SHA-1:33DCD25911E364C8BFDD4970C497DEB7B7900A56)
Fixed a possible issue inside ARH (Asynchronous Requests Handler) startup logic that caused a 2nd application
 loading the VisionAPI to crash instead of gracefully report a multiple instance error.

--------------------------------------------------------------------------------------------------------------
PUI 4.5.110 (2018/10/12)
--------------------------------------------------------------------------------------------------------------
-X2Engine  1.5.5.8  (SHA-1:BB2C88B62653AD148AB426E6C064B6A268A7B455)
-IDEngine  2.5.2.1  (SHA-1:E043E0126ECDCC4F94B3175035ADE7D8F0F205FB)
Added a Registry setting [Panini\VisionApi\UsbDriverTimeout] to increase the USB driver communication timeout 
 from 10s (default) to any supplied value (0 stands for infinite timeout).

-VXEngine  2.5.1.4  (SHA-1:4F05A9826E41094F0860AAD2CD62C6C2FF0F9AF7)
Added a Registry setting [Panini\VisionApi\UsbDriverTimeout] to increase the USB driver communication timeout 
 from 10s (default) to any supplied value (0 stands for infinite timeout).
Updated FW 3.8.5.3: Fixed a possible issue on USB communication protocol that could report a Device Unknown 
 after the PC restart.

 --------------------------------------------------------------------------------------------------------------
PUI 4.5.109 (2018/09/28)
--------------------------------------------------------------------------------------------------------------
-X2Engine  1.5.5.7  (SHA-1:DE254EC0C6142AA3443646A9AEEB2E44E029BC03)
Fixed a possible issue inside ARH (Asynchronous Requests Handler) startup logic that could prevent the device
 to go in Online state.

--------------------------------------------------------------------------------------------------------------
PUI 4.5.108 (2018/09/06)
--------------------------------------------------------------------------------------------------------------
-VisionAPI 4.5.1.3  (SHA-1:A414A6A5AE4A04AC87C5DE3EAE5891FA0C994A94)
-X2Engine  1.5.5.6  (SHA-1:3D83C082C59B2B19B54DBCD7CF7D0B3475F7E6D4)
Fixed ARH (Asynchronous Requests Handler) connectivity issue happening with multiple consecutive dynamic 
 loading/unloading of DLLs. - No change in VISIONAPI DLL public interface -

--------------------------------------------------------------------------------------------------------------
PUI 4.5.107 (2018/06/08)
--------------------------------------------------------------------------------------------------------------
-X2Engine  1.5.5.5  (SHA-1:C4B2C5891551019CB8777904FF231D7EEF91E052)
Panini AGP Printer driver: 
 Added support for AGP-4 and AGP-14 Limited Edition devices.
 Disabled white areas to avoid multiple pass if only one area is printed.
 Moved the 1st area into the 2nd one with the 2nd is empty (AGP-4 and AGP-14 LE only).
 Added default HIGH printer quality setting (can be overridden via Registry key).

-PaniniUpd 1.0.5  (SHA-1:88FB55CB38768D59FF7FC9C153E93CFF8F9BE2AC)
ID: FW Update
    01.255.xx/02.00.00/01/02 -> 02.00.03: Photocells calibration that could cause the "flashing red LED" issue.
VX: FPGA update 
    0xBC22 -> 0xBC24: LiteOn CIS offset value fix
VN: FW/FPGA update 
	01.00.11/12/13/14/15/16/17 -> 01.00.18  (FPGA E314/E414 or E515): HB Boot fix, DOC MAX_LENGTH set to 240.
	01.02.00/01/03/05/01.02.06/61/62 -> 01.02.63  (FPGA E516/E622): HB Boot fix, LiteOn CIS offset value fix, 
	 Cropping error fix on 100 DPM, DEVICE_DATA_PASS_STOP_AFTER_POCKET_MM set to 38.
	01.02.13 -> 01.02.131  (FPGA E517/E625): HB Boot fix, DOC MAX_LENGTH set to 240.
	02.00.04/02.01.00/01/02/07/08 -> 02.01.10 (FPGA E519 / E635)* : Support for VLD + TrueColor cards @600DPI,
     Update the CIS configuration management for RIGID CARD to fix the bright background too bright as done in FPGA,
     Support for new FLASH memory chip
* = new in this release

--------------------------------------------------------------------------------------------------------------
PUI 4.5.106 (2018/05/18)
--------------------------------------------------------------------------------------------------------------
-X2Engine  1.5.5.1  (SHA-1:13AE8D164FFB822CB7C259E58631E560927FD643)
Fixed a possible issue when printing on 6" checks using the Panini AGP Printer driver.

-MultiDemo 1.2.5.8  (SHA-1:DE5F6C69F72EDF4B31EBB06585EB7EA6F41CDC28)
Enabled Double Feed Detection option (DFD) by default.

--------------------------------------------------------------------------------------------------------------
PUI 4.5.105 (2018/04/26)
--------------------------------------------------------------------------------------------------------------
-X2Engine  1.5.5.0  (SHA-1:5199075249318474FDC53551D03CFDE3E7D9D357)
Added support for Asynchronous Requests Handler (ARH) to manage printing requests received via Panini AGP Printer
 driver, while the device is already being used by a main (teller) application.

--------------------------------------------------------------------------------------------------------------
PUI 4.5.104 (2018/04/10)
--------------------------------------------------------------------------------------------------------------
-IDEngine  2.5.2.0  (SHA-1:27C8AF94F50E5C832C375BB074075511654980CC)
Added support for PaniniUpd library to obtain FW updates.

-PaniniUpd 1.0.3  (SHA-1:B7AD8AFB8F1D85B3CC65C6A647AF02A0BD4D14AC)
ID: FW Update
    01.255.xx/02.00.00/01/02 -> 02.00.03*: Photocells calibration that could cause the "flashing red LED" issue.
VX: FPGA update 
    0xBC22 -> 0xBC24: LiteOn CIS offset value fix
VN: FW/FPGA update 
	01.00.11/12/13/14/15/16/17 -> 01.00.18  (FPGA E314/E414 or E515): HB Boot fix, DOC MAX_LENGTH set to 240.
	01.02.00/01/03/05/01.02.06/61/62 -> 01.02.63  (FPGA E516/E622): HB Boot fix, LiteOn CIS offset value fix, 
	 Cropping error fix on 100 DPM, DEVICE_DATA_PASS_STOP_AFTER_POCKET_MM set to 38.
	01.02.13 -> 01.02.131  (FPGA E517/E625): HB Boot fix, DOC MAX_LENGTH set to 240.
* = new in this release

-VisionAPI 4.5.1.2  (SHA-1:1C5A657877CB7481A49088BB17FFA00F3D302367)
-X2Engine  1.5.4.0  (SHA-1:437A4B712D6EF290441ADCAFC55FE8ACDC507BD0)
Added support for the new FLASH memory chip on VN units (new flash write commands for Diagnostic tools) - No
 change in VISIONAPI DLL public interface -

--------------------------------------------------------------------------------------------------------------
PUI 4.5.103 (2018/03/26)
--------------------------------------------------------------------------------------------------------------
-VxA4Engine 2.5.1.2  (SHA-1:BA4F46788C567E0FD7B944E14D40DFB369B838E6)
Optimized communication protocol between engine and device (FW 1.1.1 update to solve spring clock potential issue).

--------------------------------------------------------------------------------------------------------------
PUI 4.5.102 (2017/11/03)
--------------------------------------------------------------------------------------------------------------
-VisionAPI 4.5.1.1  (SHA-1:CFC5D24AED7C47DC5F5E98EE7295222453CF12F6)
-VXEngine  2.5.1.3  (SHA-1:BA9936D135C4204DE5A5E2EB880D5ACA457A0455)
-IDEngine  2.5.1.1  (SHA-1:F446B8AD8AD050224E93797545DC0BE967C37DA5)
-WIEngine  2.5.1.1  (SHA-1:3BA9BF3AE2BC3B753D25D25068B801FC224A908C)
-VxA4Engine 2.5.1.1  (SHA-1:3F29019CE30E9AE7D5E3BE4DB7D0AF3B38CE8239)
Cumulative logging & memory fixes on VAPI and Engines:
LOGF.DATA file rolling fix: if the maxfiles parameter is = 0 it will now simply roll the current (and unique) log
 file "VisionAPI.LOG", without copying into a new one.  If the maxfiles number is >0, the current log file will be 
 renamed appending -1, -2, ... etc. up to the maxfiles value, before creating a new VisionAPI.LOG file. 
Reworked  SetLogCallback() and DOCLEANUP() functions to avoid being called (and also re-create the EventLogger). 
 when the engine DLL has already been unloaded (it happens sometimes when the VAPI ExitInstance is executed 
 *before* the Engines ExitInstance).
Fixed a small memory leak on HKEY string Software\Panini\VisionAPI\[EngineName].

-X2Engine  1.5.3.2  (SHA-1:A8792A807FCC1B16561A3981C279C8773B45DE81)
Re-worked the FAST MODE on 100 DPM to solve possible reading issues on Saving Bonds processing (now the scanner 
 will slow down the track if 100 DPM or less are explicitely set on Registry or via SetMaxDPM call).
When using AGP-14 to print a single area the feeding was stopped after a reading a rigid card document type.

-MultiDemo 1.2.5.7  (SHA-1:ED3D6311FC956A3FCC40335159AB4C25B04324D1)
New Panini icon.

-PaniniUpd 1.0.2  (SHA-1:CB03DC437D7D5C007A25CCEF9C72770BDEC7F58C)
VX: FPGA update 
    0xBC22 -> 0xBC24: LiteOn CIS offset value fix
VN: FW/FPGA update 
	01.00.11/12/13/14/15/16/17 -> 01.00.18  (FPGA E314/E414 or E515*): HB Boot fix, DOC MAX_LENGTH set to 240.
	01.02.00*/01*/03*/05/01.02.06/61/62 -> 01.02.63  (FPGA E516/E622): HB Boot fix, LiteOn CIS offset value fix, 
	 Cropping error fix on 100 DPM, DEVICE_DATA_PASS_STOP_AFTER_POCKET_MM set to 38.
	01.02.13 -> 01.02.131*  (FPGA E517/E625): HB Boot fix, DOC MAX_LENGTH set to 240.
* = new in this release 	

--------------------------------------------------------------------------------------------------------------
PUI 4.5.101 (2017/07/25)
--------------------------------------------------------------------------------------------------------------
-X2Engine 1.5.3.1  (SHA-1:D21647790DD54BBD01B90071750DD2168B7B7EC5)
Reverted back the timing of Full Exception Pocket notification that was erroneously changed in 1.5.3.

-VXEngine 2.5.1.2  (SHA-1:3926C77FBAA6CB37C1090E76250FD9EFA7CFCBF2)
Fixed horizontal streaks issue on captured images after multiple resuming from sleep/hibernation.
Enabled VLD on Vx 2P to acquire Snippet for Decision and output documents on pocket #2.

-MultiDemo 1.2.5.6  (SHA-1:11E00AC2E1B69AB3455D61E6F630CE2F38ACA89B)
Enabled the window Minimize button.

--------------------------------------------------------------------------------------------------------------
PUI 4.5.100 (2017/06/14)
--------------------------------------------------------------------------------------------------------------
-VisionAPI 4.5.1  (SHA-1:5915A10BBE4DDD7ACC18A5D1B77159369764D7E1)
Improved logging on file efficiency which could potentially affect the device performance.

-X2Engine 1.5.3  (SHA-1:51F374556432641D09BD28ABA39641911EB3A051)
Added support for PaniniUpd library to obtain FW/FPGA updates.
Improved logging on file efficiency which could potentially affect the device performance.
Added a workaround to avoid a potential UltraSonic DFD self-test failure at start feeding.
Fixed a potential engine crash when using VirtualUpgrade feature.
Fixed an issue happening during the first SmartJet multiarea printing that caused the engine to wait indefinitely.
Fixed reporting of full Exception Pocket status when using Smart Pocketing mode.
Added VLD (Very Long Document) and True Color (cards only) support.
Fixed a memory leak when processing documents with printing enabled. 
Fixed a DLL incompatibility with Win XP.

-VXEngine 2.5.1  (SHA-1:A8E08767396377E09B601FBBF309AE52630454E3)
Added support for PaniniUpd library to obtain FPGA updates.
Improved logging on file efficiency which could potentially affect the device performance.
Added support for OCR-B recognition when reading OCRB 120% font (updated Baroc v.3.4.4.0 library needed)
Fixed a DLL incompatibility with Win XP.

-IDEngine 2.5.1  (SHA-1:44A8C2CDDB1E6C7FA76E624AD6B952369C4B856E)
-WIEngine 2.5.1  (SHA-1:0757B102BF0E2379E3E0ABF90D9D5A21EFE8E96B)
-VxA4Engine 2.5.1  (SHA-1:9AD7A5B42B7EBC46BE5C66E623D55553C1522346)
Improved logging on file efficiency which could potentially affect the device performance.
Fixed a DLL incompatibility with Win XP.

-MultiDemo 1.2.5.5  (SHA-1:429F9A599CF8A896FA12989250EFA650AED342D8)
Added VLD (Very Long Document) and True Color (cards only) support for VN.
Extended the Historical Data section on Setting Machine page for VN.
Improved the DPM calculation to reach a steady value when using VN 2.0 (new feeder).

-PaniniSnmpClient 1.1.3  (SHA-1:DF8E9D586C90DA52EABF57B81EC10B356D713C95)
-PaniniExtension 1.1.1  (SHA-1:CA010C8501200806598625FFF837ECD574EF3CD3)
Improved logging on file efficiency which could potentially affect the device performance.
Reduced the amount of logging verbosity to error/warning messages only (a specific Windows Registry parameter 
can be used to re-enable all tracing for debugging purposes).

-PaniniOCR 1.0.4  (SHA-1:0B9B72C4EBAF69789E1B4880F6BE4E1C8B79C598)
-MICR_OCR  1.2.5  (SHA-1:D96736C76DAC0F8716C35598F9D38C785E723F45)
-PaniniMOE 1.1.2  (SHA-1:DE6BF0C08F3AB9391A84EB2DA72FE0795D054584)
-PaniniUpOcr 1.1.5  (SHA-1:3949FA3D0B71AA302672160FDE0C5BAB19B499C9)
-PaniniUDS 1.0.2  (SHA-1:2D38531889461132131B87AD86D5FD6940CA7222)
Improved logging on file efficiency which could potentially affect the device performance.

-Baroc 3.4.4.0  (SHA-1:093090EF23F5352FBF231DC3EADA604407B797CD)
Improved OCR-B recognition when reading OCRB 120% font.

-PaniniUVB 1.0.1  (SHA-1:CDC949E1D3CA0DDF07473DED5C2954AC695C0376)
Removed msvcr80.dll WinSxS dependency.

-PaniniUpd 1.0.1  (SHA-1:890849F6F610A6F0B8964889DD42B8EBC3C80FBE)
VX: FPGA update 0xBC22 -> 0xBC24 (LiteOn CIS offset value fix)
VN: FW update 
    01.00.11/12/13/14/15/16/17 -> 01.00.18 (HB Boot fix, DOC MAX_LENGTH set to 240)
    01.02.05/01.02.06/61/62 -> 01.02.63 (HB Boot fix, LiteOn CIS offset value fix, Cropping error fix on 100 DPM)
    01.02.13 -> 01.02.131 (HB Boot fix)
    
-VAPI 4.5.1 DevKit
Barebones v.4.0.5
 Added explicit VapiLoad() and VapiUnload() calls into OnInitDialog/OnClose event callbacks.
 VX: Added GetPrinterCartridgeInfo() sample code in CONNECTED event.
 VX: Disabled via #ifdef the code example for reading DATAMATRIX barcode on F1 BMP image that was erroneously committed.
 Corrected a wrong Device Error code (DEVICE_ERR_USB) inside different BareBonesDlg classes.
 VN: Added the WMPAR_CARTRIDGE_MAINTENANCE_REQUEST message management code to create a message box for 
 displaying the requested maintenance operation and ask the user what to do (sample code for App developers). 
 Disabled OEM logging example (commented out #define ENABLE_OEM_LOGGING) which was wrongly committed enabled.
New API Reference Manual: Panini Vision API v.4.5.0 Manual Rev.1

--------------------------------------------------------------------------------------------------------------
PUI 4.5.002 (2017/02/08)
--------------------------------------------------------------------------------------------------------------
-Installer
Automatically enabled Unplug and Rescan USB switches.
Improved the update installation time.

--------------------------------------------------------------------------------------------------------------
PUI 4.5.001 (2017/01/20)
--------------------------------------------------------------------------------------------------------------
-VXEngine 2.5.0.1  (SHA-1:DEFAD6672D89A009F93D7E4686226B65813E6C6A)
Fixed the JPEG UV Negative image that was returning a NULL buffer.

-MultiDemo 1.2.5.3  (SHA-1:24255C34F62E6748120A7FC4C95F135B4385A7E0)
Fixed an isssue on GIV/PNG quality settings that were reset when closing/reopening the Setting Checks page.

--------------------------------------------------------------------------------------------------------------
PUI 4.5.000 (2016/12/01)
--------------------------------------------------------------------------------------------------------------
-VisionAPI 4.5.0  (SHA-1:C6B57E529AFE92A1B064F60D1314D2FF0CBF9E62)
*** New MICR+OCR requirements *** All device engines will be forced to use +OCR by default, meaning that all
current applications having selected E13B only or E13B+OCR will have the +OCR enabled anyway. If the MICR+OCR 
DLL is missing the device engines will refuse to start.
Added new API call (SetMicrOcrFontOverride) to disable MICR+OCR font enforcing.
Added PNG image format (all document types) & PDF document creation support (cheques only).
Added new callback message (WMPAR_CARTRIDGE_MAINTENANCE_REQUEST 16) to notify the application that a VN AGP-14
maintenance operation is needed due to maintenance parameters being exceeded (see X2Engine).
Fixed a possible crash when unloading/reloading VisionAPI and Engine DLLs.

-X2Engine 1.5.0  (SHA-1:D6B789A5479991569A7C556666C3B8C0B845F0E5)
Added new callback message (WMPAR_CARTRIDGE_MAINTENANCE_REQUEST 16) to notify the application that a VN AGP-14
maintenance operation is needed due to maintenance parameters being exceeded. When a maintenance function is 
called from the application, the scanner must be in DeviceOnline state, therefore it is the application’s 
responsibility to stop feeding, launch the maintenance operation and then start the scanner feeding after 
completion of the maintenance operation. A new GetDeviceStatus function will inform the application of the 
current maintenance operation’s progress. 
Added a new GetDeviceStatus function to inform the application if the VN is able to perform scan operation 
(i.e. start the feeding) or some error/maintenance conditions are pending/running and therefore the App shall
wait or execute a FreeTrack to recover.
Added a set of new Extended Parameters to customize some thresholds of the basic AGP-14 Cap & Cleaning operations.
Added support for AGP-14 LE (Limited Edition) to limit printing to the AGP-4 "compatible" area only.
Reworked the SNMP trap sending logic: HISTORICAL DATA and SUMMARY OP traps are sent together every after every 1h
of operations and at shutdown time. Also the DEVICE STATE CHANGE traps are sent once when starting up and once when
shutting down (no longer sent when changing from Online to Feeding and back - Hopper issue).
Fixed E13B MICR reading problem on some counter tickets with short code lines "RRRR-TTTTT".
Fixed a possible race condition in device attach using WinDriver 12.00 that led to unit not reported in device list.

-VXEngine 2.5.0  (SHA-1:17BC44C263DB55E35AFA58008B57B85B57A85454)
Added support for UV Negative images in JPEG and GIV formats and a new binarization algorithm (Otsu) for GIV UV.
Fixed random Vision X "lock up" problem related to the FPGA check sum being corrupted.
Fixed a possible CMC7 reading problem on low level signal documents with high track speed.
Fixed a crash on CMC7 and E13B framing while reading particular waveforms due to division by zero.
Return a new DEVICE_FEATURE_FEEDER_SD value to identify Vision X (0), Vision SD (1), Vision 1 (2) and Vision 1B (3).
MagCard reader: added support for AAMVA standard and new functions to return raw bit stream / decoded string.
Added latest FW 3.8.5 for full Vision 1 support.
Fixed a possible race condition in device attach using WinDriver 12.00 that led to unit not reported in device list.

-IDEngine 2.5.0 (SHA-1:5DD39F91E0CA85DE759BE10B489E2B2C61575A82)
-WIEngine 2.5.0 (SHA-1:2AF1F7D7D1E581EFE08FF2D90995E411CDDE7912)
-VxA4Engine 2.5.0 (SHA-1:651E186DA4301E7FD1611E2A994E864BDFCBA2CF)
Reworked the SNMP trap sending logic: HISTORICAL DATA and SUMMARY OP traps are sent together every after every 1h
of operations and at shutdown time. Also the DEVICE STATE CHANGE traps are sent once when starting up and once when
shutting down (no longer sent when changing from Online to Feeding and back - Hopper issue).
Fixed a possible race condition in device attach using WinDriver 12.00 that led to unit not reported in device list.
Added Gamma Correction for text documents (G/L or B/W only) (VxA4/ScanStation only)

-MICR_OCR 1.2.4.0  (SHA-1:18386C75BE9A0C3CBB0F034317C024167E15B53C)
Fixed some MICR+OCR memory leaks.

-MultiDemo 1.2.5.2  (SHA-1:AA02F5BF40397E3B623F506AAC377408CD7DED36)
Added support to disable MICR+OCR font enforcing.
Added PNG image format & PDF document creation support.

-PaniniUpOCR 1.1.4.0  (SHA-1:F66208C26C368B1A6A2046B7F3005A3408196D12)
Fixed OCR-B string reading errors on lightly skewed images.

-PaniniULD 1.4.2.0  (SHA-1:135589B2C5F59E426893BA90F63947220F0A41CD)
Added WD 12.00 driver support. Fixed wrong WD license returned with WD 11.10.
Removed the Panini LOG support introduced in 1.4.0 that was causing a crash in certain conditions.

--------------------------------------------------------------------------------------------------------------
PUI 4.4.300 (2016/09/29) - Special Version for APAC markets
--------------------------------------------------------------------------------------------------------------
-VisionAPI 4.4.3.0  (SHA-1:D9E848AD7821D27278B087EA30ADDD38D32EA96A)
Added support for UV negative images in JPEG and GIV formats.

-VXEngine 2.4.6.1  (SHA-1:CEE5459B0E212FC2A07A426D168E08E7A2893438)
Support for UV negative images in JPEG and GIV formats (w/ Otsu binarization) + UV Cropping fix.

-MultiDemo 1.2.5.1  (SHA-1:2237D9A269691514C9E8392BE1BF989802943BA3)
Added support for UV negative images in JPEG and GIV formats (w/ Otsu binarization).

-PaniniUVB 1.0.0.0  (SHA-1:063546661FB407EE6D92DFA7AD5A0906482A4E7B)
Support for UV Otsu binarization.

--------------------------------------------------------------------------------------------------------------
PUI 4.4.217 (2016/10/24) - Special Version for Italian market
--------------------------------------------------------------------------------------------------------------
-PaniniUpOCR 1.1.4.0  (SHA-1:E895A03867C3D4E3037C42D17125813D912C1778)
Fixed OCR-B string reading errors on lightly skewed images.

--------------------------------------------------------------------------------------------------------------
PUI 4.4.216 (2016/04/07) - Special Version for Italian market
--------------------------------------------------------------------------------------------------------------
-VXEngine 2.4.7  (SHA-1:4FAAB7613F185C11C2304AF8FB65675289DAA072)
Included new VX FW 3.8.5 which fixes micro-perforation erroneously managed as the end of document on Vision1.
Fixed a possible CMC7 reading problem on low level signal documents with high track speed.
Added GetDeviceFeature value DEVICE_FEATURE_FEEDER_SD = 2 for V1 (Cervino) and = 3 for VX1B.

--------------------------------------------------------------------------------------------------------------
PUI 4.4.206 (2016/04/07)
--------------------------------------------------------------------------------------------------------------
-VisionAPI 4.4.2.8
Added 2 Diagnostic functions for new Liteon CIS support + FreeTrack improvement in DFD testing (AGP-14)

-X2Engine 1.4.5.12
Fixed a printing issue when using both BMP image and text: if the text printout position is set after the 
BMP image position, only the bitmap is written on cheque.
Added AGP14 Smart FreeTrack during DFD test for Diagnostic procedures.

-VXEngine 2.4.4.12
Fixed a possible CMC7 reading problem on low level signal documents with high track speed.

--------------------------------------------------------------------------------------------------------------
PUI 4.4.205 (2016/02/25)
--------------------------------------------------------------------------------------------------------------
-VisionAPI 4.4.2.7
Fixed a possible crash when unloading/reloading DLLs.

-X2Engine 1.4.5.10
Fixed a possible crash when unloading/reloading DLLs.
Fixed a possible MICR engine crash when reading particular CMC7 waveforms.

-VXEngine 2.4.4.11
Included new VX FW 3.8.4.6 which fixes few Vision1 issues (FreeTrack after quick reconnection), allows quick 
manual feeding on 1F limited scanners (reducing likelyhood of unwanted feeder limitation) and adds a new VX1B 
discrimination value (GetDeviceFeature returns DEVICE_FEATURE_FEEDER_SD = 3).
Fixed a possible crash when unloading/reloading DLLs.
Fixed a possible MICR engine crash when reading particular CMC7 waveforms.

-IDEngine 2.4.3.4 / WIEngine 2.4.3.3 / VxA4Engine 2.4.3.3
Fixed a possible crash when unloading/reloading DLLs.
Fixed a possible MICR engine crash when reading particular CMC7 waveforms.

--------------------------------------------------------------------------------------------------------------
PUI 4.4.204 (2015/12/04)
--------------------------------------------------------------------------------------------------------------
-X2Engine 1.4.5.9
Fixed a problem reading MICR codeline on some Deposit documents caused by the padding MICR data present at the
end of the 64-multiple samples.

-VXEngine 2.4.4.6
Included new VX FW 3.8.4.3 which fixes few Vision 1 issues and changes LED color to yellow when in processing, 
inverts FreeTrack motor direction (from pocket to feeder) and solves possible re-pocketing problem when a 
document is accidentally dragged into the track from the exit pocket.

-IDEngine 2.4.3.3
Added two registry parameters to reduce MICR gain in waveform reading for photocopied checks.

--------------------------------------------------------------------------------------------------------------
PUI 4.4.203 (2015/09/30)
--------------------------------------------------------------------------------------------------------------
-VXEngine 2.4.4.5
Fixed issue happening after a failing endorsement that prevented the engine from exiting from feeding status.
Fixed MICR+OCR OEM logging issue.
Added GetDeviceFeature value DEVICE_FEATURE_FEEDER_SD = 2 for V1 (Cervino).
MICR+OCR issue when multiple documents are rejected and previously OCR'ed MICR are mixed (seen on V1).
OEM logging crash fix.

-X2Engine 1.4.5.8
Removed PaniniOCR mandatory dependency at StartUp.
Fixed MICR+OCR OEM logging issue + MICR+OCR issue fix (from V1).
OEM logging crash fix.
Fixed ResetPrinterSequence (Depot issue) + SetPocket timeout fix.

-IDEngine 2.4.3.2 / WIEngine 2.4.3.2 / VxA4Engine 2.4.3.2
Fixed MICR+OCR OEM logging issue + MICR+OCR issue fix (from V1).
OEM logging crash fix.

-VisionAPI 4.4.2.5
Fixed MICR+OCR OEM logging issue.
OEM logging crash fix.

-MultiDemo 1.2.4.1
Support for new GetDeviceFeature value DEVICE_FEATURE_FEEDER_SD = 2 for V1 (Cervino).

-MICR_OCR 1.2.3.1
Fixed MICR+OCR OEM logging issue.

--------------------------------------------------------------------------------------------------------------
PUI 4.4.202 (2015/06/05) - Special Version for Italian market
--------------------------------------------------------------------------------------------------------------
-VXEngine 2.4.5
Deletion of rear MicroPerforation string when is not physically detected (included FW 3.8.3). Now the FW parameter
to enable micro perforation detection has 3 values: 0-disabled, 1-enable but not blocking, 2-enabled and blocking.

-PaniniUpOcr 1.1.3
Linked new Emmedi library names and license.
Added new training for OCR-B font size 12.

--------------------------------------------------------------------------------------------------------------
PUI 4.4.201 (2015/05/12)
--------------------------------------------------------------------------------------------------------------
-X2Engine 1.4.5.1
Added a check to disable Compressed Images for Decision with Smart Virtual Endorsement setting due to logical incompatibility.
Avoided the AGP-14 maintenance operations during document feeding when Virtual Endorsement is enabled.
Fixed an issue when AGP-14 maintenance operations were performed during Smar-Jet printing.

-MultiDemo 1.2.4
Fixed Virtual Endorsement enabling for VX and VN devices (including AGP-14).

--------------------------------------------------------------------------------------------------------------
PUI 4.4.200 (2015/04/24)
--------------------------------------------------------------------------------------------------------------
-VisionAPI 4.4.2
Added new OEM logging functionality.
Fixed a possible GetEngineApiRelease crash introduced in 4.4.0.
Added "Vision 1" (Cervino) support.

-VXEngine 2.4.4
Added new OEM logging functionality.
Updated Compressed Images for Decision (CIFD) functionality and fixed a possible crash in releasing image buffers.
Aligned CIFD management between VX and VN.
Integrated new enhanced Cropping.
Added two registry parameters to reduce MICR gain in waveform reading for photocopied checks.
Added "Vision 1" (Cervino) support with FW 3.8.x.

-IDEngine 2.4.3 / WIEngine 2.4.3 / VxA4Engine 2.4.3
Added new OEM logging functionality.
Updated Compressed Images for Decision (CIFD) functionality and fixed a possible crash in releasing image buffers.
Aligned CIFD management among ID, WI and VXA4.

-X2Engine 1.4.5
Added new OEM logging functionality.
Updated Compressed Images for Decision (CIFD) functionality and fixed a possible crash in releasing image buffers.
Aligned CIFD management between VN and VX.
Integrated new enhanced Cropping.
Fixed a possible issue when calling SendPrinterData multiple times that caused device to freeze in feeding.
Various bug fixes and improvements on AGP-14 maintenance logic. Added a new VAPI_MLP_PARM_DONE command to trigger
the end of the AGP-14 printer settings. After the call of this command the printing buffers are formatted.
Added FW / FPGA auto update functionality (enabled by registry setting, default is OFF).
Added two registry parameters to reduce MICR gain in waveform reading for photocopied checks.

-PaniniSnmpClient 1.1.2
Added new OEM logging functionality.

-PaniniOCR 1.0.3
-MICR_OCR  1.2.3
Added new OEM logging functionality.

-PaniniMOE 1.1.1
Added new OEM logging functionality.

-PaniniUpOcr 1.1.1
Added new OEM logging functionality.

-MultiDemo 1.2.3
Added "Vision 1" (Cervino) support.
Added new VAPI_MLP_PARM_DONE command for VN AGP-14.

-VAPI 4.4.2 DevKit
Barebones v.4.0.3 (includes AGP-14 sample code, OEM logging example and support for JPEG_UV images on VX).
New Reference Manual: Panini Vision API v.4.4.2 Manual Rev.0

--------------------------------------------------------------------------------------------------------------
PUI 4.4.101 (2015/03/10)
--------------------------------------------------------------------------------------------------------------
-VXEngine 2.4.3
Added device FastBoot support (via Panini\VisionAPI\VXEngine registry key). Integrated new PaniniUpOcr version.

-PaniniUpOcr 1.1.0
Added support for C4Truncation library (Italian checks).

-MICR_OCR 1.2.2
Enable faster MICROCR engine load for FastBoot support.

--------------------------------------------------------------------------------------------------------------
PUI 4.4.100 (2014/12/12)
--------------------------------------------------------------------------------------------------------------
-VisionAPI 4.4.1
Added new VApiLoad() / VApiUnload() API functions to perform full engine DLLs load/unload process and USB 
initialization at the same time avoiding crashes if the VisionAPI is loaded then  immediately unloaded.
Added VApiLoad() implicit call in to VApiGetDeviceList, VApiSetDeviceEngine, VApiSelectDevice, VApiWaitForInit 
and Startup() functions to allow backward compatibility with existing applications.

-VXEngine 2.4.1
Changed the DLL load/unload mechanism to support new VApiLoad() / VApiUnload() functions.
Fixed horizontal streaks issue on captured images after resuming from power suspend/hibernation.
Fixed issue of empty MICR codelines when the magnetic codeline decoding had errors and OCR was not successfull 
(e.g. when scanning checks facing backward).

-IDEngine 2.4.1 / WIEngine 2.4.1 / VxA4Engine 2.4.1
Changed the DLL load/unload mechanism to support new VApiLoad() / VApiUnload() functions.

-X2Engine 1.4.1
Changed the DLL load/unload mechanism to support new VApiLoad() / VApiUnload() functions. 
Fixed a potential crash in MICR decoding algorithm when the number of samples are greater than a maximum value.
Removed printed debug image from release build (merge error).

-PaniniSnmpClient 1.1.1
Changed the DLL load/unload mechanism to support new VApiLoad() / VApiUnload() functions. 

-MICR_OCR 1.2.1
Fixed condition leading to unpredictable crashes when reading MICR  with auto-orientation turned on. 

-MultiDemo 1.2.1
Reduced polling devices thread sleep to 500 ms after initial startup.
Added new shortcut keys to ClearLog (Del), Reset Log (X) and toggle between Log and Doc tree (L) when not 
in Feeding.

--------------------------------------------------------------------------------------------------------------
PUI 4.4.001 (2014/11/30)
--------------------------------------------------------------------------------------------------------------

-VisionAPI 4.4.0
New API functions for multi-line mobile AGP-14 management.
New Barcode 1D/2D/QR library integration.
Improvement on CMC7 MICR engine for particular documents (country specific).
New Image Enhancement library support.
New micro-perforation OCR library support.
New API logging mechanism. 
New FullPocketStatus API support for VN.

-VXEngine 2.4.0
New Barcode 1D/2D/QR library integration.
Improvement on compression error exception handling.
Improvement on document cropping functionality when using auto-deskew.
Fixed a possible crash on MICR OCR engine when codeline is not present.
Enable the PRINTED_IMAGE flag to recapture rear images after endorsement.
New API logging mechanism.
Improved power management after sleep/hibernation resume.

-IDEngine 2.4.0
New Barcode 1D/2D/QR library integration.
New API logging mechanism. 

-WIEngine 2.4.0
New Barcode 1D/2D/QR library integration.
New API logging mechanism.

-VxA4Engine 2.4.0
New Barcode 1D/2D/QR library integration.
New API logging mechanism.

-X2Engine 1.4.0
New Barcode 1D/2D/QR library integration.
Integration of new multi-line mobile AGP-14 functions (including multi-area printing and cap & cleaning 
cartridge maintenance procedures).
Improvement on compression error exception handling.
Improvement on document cropping functionality when using auto-deskew.
New API logging mechanism.
New FullPocketStatus API support for VN. Fixed a double full pocket exception notification.
Improved power management after sleep/hibernation resume.

-PaniniOCR    1.0.2
-MICR_OCR     1.2.0
-IQA_Engine   1.2.0
-ImageDecoder 1.0.2
Fixed unpredictable crashes when reading MICR with auto-orientation turned on.
Updated OpenCV libraries to v.246 

-MultiDemo 1.2.0
New AGP-14 controls.
New Barcode 1D/2D/QR library integration.

-PaniniSnmpClient 1.1.0
Support for VisionX Single Document and multi-line mobile AGP-14.
New API logging mechanism.

-PaniniExtension 1.1.0
Support for VisionX Single Document and multi-line mobile AGP-14.
New API logging mechanism.

-VAPI 4.4.0 DevKit
Updated VApiInterface.h and VisionAPI.dll/.lib
New Reference Manual: Panini Vision API v.4.4.0 Manual Rev.0

--------------------------------------------------------------------------------------------------------------
PUI 4.2.004 (2014/03/21)
--------------------------------------------------------------------------------------------------------------

-X2Engine 1.1.4
Introduced new ERR_DUE_TO_PREFEED_FAILURE sorter error to solve an undetected Feeding Error happening 
when a document inside the track was not detected after the next document feeds.
Fixed issue of scanner remaining in feed mode when an Image Compression error occurs.

-MultiDemo 1.1.9
Added "Open Image Folder" entry on image preview pop-up menu.

-PaniniExtension 1.0.7
Fixed SNMP traps sending if Echo Ping command towards Central Manager is blocked by network firewall.
Added support for Windows 2000.

-VisionAPI 4.2.2
VisionAPI 4.x hangs or crashes if the DLL is unloaded immediately after the load: introduced a new APIcall to 
wait for internal threads starting before unloading the DLL(see the VisonAPI Reference Manual).

PaniniOCR:
-MICR_OCR 1.1.3
The Panini OCR now searches the PaniniOCRParms directory in the current DLL folder first and - if not available -
reverts to default \\Windows%System% folder.

-VAPI 4.2.2 DevKit
Updated VApiInterface.h and VisionAPI.dll/.lib
New Reference Manual: Panini Vision API v.4.2.2 Manual Rev.0

-Avantor Control Module 2.01.13
Vision Next support (Cleaning, Roller replacement, Ink-jet cartridge maintenance).

--------------------------------------------------------------------------------------------------------------
PUI 4.2.003 (2013/10/11)
--------------------------------------------------------------------------------------------------------------

-VXEngine 2.2.2
Improved AGP purge policy for Postal devices.
Avantor Core integration improvement.
Fixed an issue generating BITMAP images when image format is set to FORMAT_BMP or FORMAT_BMP_COLOR or FORMAT_TRUE_COLOR.

-IDEngine 2.1.2
Avantor Core integration improvement
Fixed an issue generating BITMAP images when image format is set to FORMAT_BMP or FORMAT_BMP_COLOR or FORMAT_TRUE_COLOR.

-WIEngine 2.1.2
Avantor Core integration improvement.
Fixed an issue generating BITMAP images when image format is set to FORMAT_BMP or FORMAT_BMP_COLOR or FORMAT_TRUE_COLOR.

-VxA4Engine 2.1.2
Avantor Core integration improvement.
Image cropping improvement for Plastic cards.
Fixed an issue generating BITMAP images when image format is set to FORMAT_BMP or FORMAT_BMP_COLOR or FORMAT_TRUE_COLOR.

-X2Engine 1.1.3
Added Avantor integration.
Fixed an issue on Rigids documents image processing at 600 dpi. This error is a regression introduced 
since X2Engine v.1.1.0.
Improved AGP printing quality.
Fixed an issue generating BITMAP images when image format is set to FORMAT_BMP or FORMAT_BMP_COLOR or FORMAT_TRUE_COLOR.

-PaniniMultiDemo 1.1.8
Fixed an issue on AGP printer settings (quality and progressive counter).
Changed the G4Density default setting for Vision neXt devices from 4 to 2.

-PaniniExtension 1.0.6
Fixed an issue to support standard Windows SNMP service shutdown.
Added a configuration parameter to enable/disable persistent data on disk.

-PaniniSNMPClient 1.0.2
Added a configuration parameter to enable/disable persistent data on disk.

--------------------------------------------------------------------------------------------------------------
PUI 4.2.002 (2013/05/31)
--------------------------------------------------------------------------------------------------------------

-X2Engine 1.1.2
Includes FW ver.1.0.6 and FPGA ver.E2.07
Added Extended Parameters support.
Added Parameters Override support.
Added new device feature information DEVICE_FEATURE_FEEDER_ALIGNMENT (See VAPiInterface.h).
Fixed an issue with USB communication.
Fixed an issue related to the Rear Snippets resolution settings.
Improved CMC7+OCR performances.

-MultiDemo 1.1.6
Added Extended Parameters support for Vision neXt.

-VisionAPI 4.2.1
Added Extendend parameters support for Vision neXt.

VAPI 4.2.0 DevKit:
-Updated VApiInterface.h
-New Registry parameters Manual v.1.3

PaniniOCR:
-MICR_OCR 1.1.2
Improved recognition of documents with short codelines.

--------------------------------------------------------------------------------------------------------------
PUI 4.2.001 (2013/04/11)
--------------------------------------------------------------------------------------------------------------
-VXEngine 2.2.1 
New Extended Parameters for Snippet Resolutions and UV Image post-processing.
Improved USB error management when device is suddenly disconnected.

-X2Engine 1.0.4
Includes FW ver.1.0.5 and FPGA ver.E2.06
Added low power capability.
Added Smart-Jet printing functionality.
Added Rigid documents image GrayLevels @ 600 DPI.
Added printer cartridges status information (single line and AGP).
Added printer drops counter reading and resetting.
Added 4-lines AGP printer functionality.
Added device IDCard upgrade fucntionality.
Added ultrasonic DFD self-test.

-MultiDemo 1.1.5
Added new Snippet Resolution and UV Image post-processing settings.
Rigid documents image GrayLevels @ 600 DPI for Vision neXt.
Fixed TrueColor and 600 DPI settings for wIDeal.
When enabling Multipage TIFF the single image files are no longer saved empty.

-VAPI 4.2.0 DevKit
Updated VApiInterface.h and VApiExtendedParameters.h
New Reference Manual: Panini Vision API v.4.2.0 Manual Rev.2

--------------------------------------------------------------------------------------------------------------
PUI 4.2.000 (2013/03/28)
--------------------------------------------------------------------------------------------------------------
-VisionAPI 4.2.0
New engine selection mechanism in VAPI StartUp (see Appendix H: API StartUp mechanism of Reference Manual).

PaniniOCR:
-MICR OCR Engine 1.1.1
Encoded data files can't be processed when the API is running w/o Administration rights. When VisionAPI runs 
under "normal" User rights (i.e. no Administrator priviledges), MICR_OCR.DLL is not able to decode the data 
files in System32 folder. The MICR OCR engine is not initialized and the entire PaniniOCR fails to load. This 
will, in turn, prevent the VisionNext (K2) startup since the K2 Engine requires the PaniniOCR enabled.

-VAPI 4.2.0 DevKit
Updated VisionAPI 4.2.0 (.dll and .lib)
New Reference Manual: Panini Vision API v.4.2.0 Manual Rev.0

-Installer
The PUI Uninstall procedure wrongly calls the external un-installers (ControlModule, ABBYY and MFS-EXT) even 
if such extra components have not been installed first, displaying some error message boxes.

--------------------------------------------------------------------------------------------------------------
PUI 4.1.002 (2013/04/03)
--------------------------------------------------------------------------------------------------------------
PaniniOCR:
-MICR OCR Engine 1.1.1
Encoded data files can't be processed when the API is running without Administration rights. When VisionAPI runs 
under "normal" User rights (i.e. no Administrator priviledges), MICR_OCR.DLL is not able to decode the data 
files in System32 folder. The MICR OCR engine is not initialized and the entire PaniniOCR fails to load. This 
will, in turn, prevent the VisionNext (K2) startup  because the K2 Engine requires the PaniniOCR enabled.

-Installer
The PUI Uninstall procedure wrongly calls the external un-installers (ControlModule, ABBYY and MFS-EXT) even 
if other components have not been installed first, displaying error message boxes.
 
--------------------------------------------------------------------------------------------------------------
PUI 4.1.001 (2013/02/08)
--------------------------------------------------------------------------------------------------------------
-IDEngine 2.1.1 ,VxA4Engine 2.1.1 , WIEngine 2.1.1
Minor trace fix.

-VXEngine 2.1.1 
Postal VisionX fix (when Postal device has limited feeder the new "Doc Reposition" creates a not required 
"DEVICE_ERR_FEEDER_LIMIT" error).

-MultiDemo 1.1.4 
Sample image resolution (DPI) is wrong in Snippet Setting page.
Wrong Pocketing options for VXA4 and wIDeal.
When device has IQA enabled, but PaniniOCR is not installed MultiDemo does not start the feeding.
Image format combo-box does not display JPEG UV with a VisionX UV connected.
Error on processing documents (MICR enabled) on MFS-A4.
Selecting the printer for the wIDeal the device is not printing because the SendPrinterData failed.
Parameters for Virtual endorsement not correctly passed to API for wIDeal.

-VAPI 4.1.0 DevKit
Barebones v.4.0.2 (includes new VNBareBonesDlg.cpp and VNBareBonesDlg.h)
New Reference Manual: Panini Vision API v.4.1.0 Manual Rev.5

-Installer
Fixed the script to correctly upgrade PaniniOCR when already installed by earlier versions.

--------------------------------------------------------------------------------------------------------------
PUI 4.1.000 (2013/01/18)
--------------------------------------------------------------------------------------------------------------
-VXEngine 2.1.0, IDEngine 2.1.0, WIEngine v.2.1.0, VxA4Engine v.2.1.0
There has been an improvement on changing the device state from "Feeding" to "Online".
The delay to change from "Feeding" to "OnLine" may vary among different device engines and among different PCs. 
For device state dependent function calls, we strongly recommend that the application never rely on timing 
assumptions,instead use the GetDeviceState function call in order to detect when the device is in the proper 
state for the function call.
For example, use the GetDeviceState function call to detect the device state is "Online" during before 
issuing a StartFeeding function call.
Beginning with VisionAPI 3.6.3, Panini added a calibration of the CIS when document feeding is complete.
This calibration is necessary to guarantee the best image quality for different environmental conditions.
Of course, this calibration adds a delay on changing the device state from "Feeding" to "OnLine".
The CIS calibration is run every 30 or 60 minutes once the device is connected to the application.
Applications that use fixed delays to wait the device state changes going from "Feeding" to "OnLine" prior to
version 3.6.3, may not run as expected using newer API versions.

Parameter overrides improvements (see "Panini Registry Parameters Manual v1.2.pdf").

-X2Engine v.1.0.0 (First VisionNext engine release)

-VisionAPI 4.1.0
This VisionAPI officially supports VisionNext devices.

-MultiDemo 1.1.3
Minor GUI improvements.
Added a condition to "Stop on rejects": when a document hasn't any MICR codeline is considered as "rejected".

-Installer
PaniniOCR is always installed. It is no longer possible to discard the PaniniOCR package from the installer. In
the "Select Features" dialog no longer exits an option to uncheck the PaniniOCR.
Aesthetic modifications (the "old fashioned" red background window has been removed, it now displays only 
Wizard's dialog windows).
VisionAPI EULA acceptance required. Panini created a "LICENSE AGREEMENT FOR PANINI APPLICATION PROGRAMMING 
INTERFACE". The installer has to obtain the user acceptance of the agreement terms. This step of the wizard is 
not displayed when the installation runs in "Silent mode".
Windows 8/7/Vista/XP WHQL USB drivers (VisionNext is already included in the Microsoft WHQL certification 
obtained at the end of 2012).
--------------------------------------------------------------------------------------------------------------
